#ifndef INTEGERVALIDATOR_H
#define INTEGERVALIDATOR_H

#include <QRegularExpression>

#include <QValidator>

class IntegerValidator : public QValidator {
private:
  QRegularExpression m_expression;

public:
  IntegerValidator(QObject *parent = nullptr);
  State validate(QString &string, int &pos) const override;
};

#endif // INTEGERVALIDATOR_H
